Package org.apache.tools.ant.taskdefs

## Class Replace.NestedString

- java.lang.Object
- - org.apache.tools.ant.taskdefs.Replace.NestedString

Enclosing class:
  Replace

    public class Replace.NestedString
    extends java.lang.Object

An inline string to use as the replacement text.

### Constructor Summary

Constructors
`NestedString()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addText​(java.lang.String val)` The text of the element.
`java.lang.String` `getText()`
`void` `setExpandProperties​(boolean b)` Whether properties should be expanded in nested test.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NestedString

    public NestedString()

### Method Detail

#### setExpandProperties

    public void setExpandProperties​(boolean b)

Whether properties should be expanded in nested test.

If you use this class via its Java interface the text you add via `addText` has most likely been expanded already so you do not want to set this to true.

Parameters:
  `b` - boolean
Since:
  Ant 1.8.0

#### addText

    public void addText​(java.lang.String val)

The text of the element.

Parameters:
  `val` - the string to add

#### getText

    public java.lang.String getText()

Returns:
  the text